Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring.remoting
Class XFireExporter

    java.lang.Object
      org.codehaus.xfire.spring.ServiceBean
          org.codehaus.xfire.spring.remoting.XFireExporter

All Implemented Interfaces:
  org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean, org.springframework.web.servlet.mvc.Controller

    public class XFireExporter

extends ServiceBean
implements org.springframework.web.servlet.mvc.Controller

Web controller that exports the specified service bean as a XFire Soap service endpoint.

Author:
  Dan Diephouse , Arjen Poutsma

Constructor Summary
`XFireExporter()`

Method Summary
`void` | `afterPropertiesSet()`
`org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the incoming SOAP request and create a SOAP response.

Methods inherited from class org.codehaus.xfire.spring.ServiceBean
`getFaultHandlers, getInHandlers, getOutHandlers, getProxyForService, getService, getServiceInterface, getXfire, getXFireService, setBeanName, setFaultHandlers, setInHandlers, setName, setNamespace, setOutHandlers, setService, setServiceFactory, setServiceInterface, setXfire`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireExporter

    public XFireExporter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `ServiceBean`
  Throws:
    `java.lang.Exception`

### handleRequest

    public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request,
                                                                      javax.servlet.http.HttpServletResponse response)
                                                               throws java.lang.Exception

  Process the incoming SOAP request and create a SOAP response.

  Specified by:
    `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
  Returns:
    `null`
  Throws:
    `java.lang.Exception` - in case of errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.